get/customer?page=1&limit=10&email=user@example.com

Get All Customers

Retrieve a paginated list of all customers in your Keymint account.

Authentication required: Bearer Token in Authorization header.

Parameters

page
integer (query)

Page number for pagination

e.g. 1
limit
integer (query)

Number of items per page (max 100)

e.g. 10
email
string (query)

Filter customers by email address

e.g. user@example.com

Responses

200Successfully retrieved all customers

Response Body (200)

action
string
status
boolean
data
array
meta
object
code
integer
Request Example
curl -X GET "https://api.keymint.dev/customer?page=1&limit=10&email=user%40example.com" \
  -H "Authorization: Bearer <YOUR_API_KEY>"
Response (200 OK)
{
  "action": "getCustomers",
  "status": true,
  "data": [
    {
      "id": "c9cbdf88f01f516815a59f",
      "name": "Test Customer",
      "email": "test@example.com",
      "active": true,
      "createdAt": "2025-09-01T14:46:10.932Z",
      "updatedAt": "2025-09-01T14:46:10.622Z"
    },
    {
      "id": "10ba13e31f4dcf12368343",
      "name": "License Test Customer",
      "email": "license@example.com",
      "active": true,
      "createdAt": "2025-09-01T18:39:21.857Z",
      "updatedAt": "2025-09-01T18:39:21.372Z"
    },
    {
      "id": "078116d0069c32407b4f63",
      "name": "Test Customer",
      "email": "test-1756752334256@example.com",
      "active": true,
      "createdAt": "2025-09-01T18:45:38.060Z",
      "updatedAt": "2025-09-01T18:45:38.060Z"
    }
  ],
  "meta": {
    "total": 3,
    "page": 1,
    "limit": 10,
    "totalPages": 1
  },
  "code": 0
}